Subject: bug#62343: closed (Re: bug#62343: libtool removes the "-no-canonical-prefixes" linker)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 18 Apr 2024 16:50:06 +0000

Your bug report

#62343: libtool removes the "-no-canonical-prefixes" linker flag

which was filed against the libtool package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
62343: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=62343
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#62343: libtool removes the "-no-canonical-prefixes" linker
From: Ileana Dumitrescu <[email-masked]>
To: [email-masked]
Date: Thu, 18 Apr 2024 19:48:51 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Thank you for the bug report! libtool should pass the
"-no-canonical-prefixes" flag to the linker now.

-- 
Ileana Dumitrescu

GPG Public Key: FA26 CA78 4BE1 8892 7F22 B99F 6570 EA01 146F 7354

Subject: libtool removes the "-no-canonical-prefixes" linker flag
From: Carlos Galvez <[email-masked]>
To: [email-masked]
Date: Tue, 21 Mar 2023 15:29:59 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi!

I'm using libtool 2.4.6. I realize that it's removing a very important
linker flag, making my linking fail.

The command I send is:

../../libtool  --tag=CC   --mode=link /path/to/gcc -no-canonical-prefixes
<other_flags> <object_files>...

And what libtool prints is:

libtool: link: /path/to/gcc -shared <other_flags> <object_files> ...

Why is the "-no-canonical-prefixes" flag removed from the linking command?
If I manually execute linking outside libtool, and add the required flag,
linking works successfully.

Thanks!